# Generated from comicvine-mongo-0.1.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name comicvine-mongo

Name: rubygem-%{gem_name}
Version: 0.1.6
Release: 1%{?dist}
Summary: Mongo extension to the comicvine gem
License: MIT
URL: https://github.com/spoved/ruby-comicvine-mongo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2
# BuildRequires: rubygem(minitest) >= 5.9
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.9.1
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(minitest-reporters) >= 1.1.12
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(yard) >= 0.9.5
# BuildRequires: rubygem(dotenv-rails)
# BuildRequires: rubygem(yard-mongoid) >= 0.1.0
# BuildRequires: rubygem(yard-mongoid) < 0.2
# BuildRequires: rubygem(minitest-vcr) >= 1.4
# BuildRequires: rubygem(minitest-vcr) < 2
BuildArch: noarch

%description
Allows saving of comicvine resources to a Mongodb using Mongoid.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_instdir}/checksum
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/comicvine-mongo.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.6-1
- Initial package
